# flake.nix
{
  description = "My Home Manager configuration";

  inputs = {
    nixos-hardware.url = "github:NixOS/nixos-hardware/master";

    nixpkgs.url = "github:nixos/nixpkgs/nixos-24.05";
    nixpkgs-unstable.url = "github:nixos/nixpkgs/nixos-unstable";

    home-manager.url = "github:nix-community/home-manager/release-24.05";
    home-manager.inputs.nixpkgs.follows = "nixpkgs";

    nix-flatpak.url = "github:gmodena/nix-flatpak"; # unstable branch. Use github:gmodena/nix-flatpak/?ref=<tag> to pin releases.
  };

  outputs = inputs@{self, nixpkgs, home-manager, nix-flatpak, nixos-hardware, ... }: {
    nixosConfigurations = {
      eddie = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        modules = [ 
          nix-flatpak.nixosModules.nix-flatpak
	  ./system/eddie/configuration.nix 
        ];
      };
    };
   
   
    homeConfigurations = {
      "emenel" = home-manager.lib.homeManagerConfiguration {
        pkgs = nixpkgs.legacyPackages.x86_64-linux;
        modules = [
          nix-flatpak.homeManagerModules.nix-flatpak
          #nixos-hardware
          ./home/home.nix
        ];
      };
    };  
  };
}
